Apple, Server Admin

Install mssql and pdo_dblib (pdo_sqlsrv) driver for PHP 5.3 in OSX 10.7 and 10.8

This article has a new version:

http://www.ziqijin.com/setting-up-php-mssql-and-pdo_dblib-for-mac-osx-new-version/

I mainly followed this article: http://www.ziqijin.com/?p=105  . Also, I’m surprised nobody offered any precompiled ‘.so’ files for OSX to download. So here they are:

memcache.so

mssql.so

pdo_dblib.so

For Lion 10.7

Download: php_ext_for_lion.zip

For Mountain Lion 10.8

Download: php_ext_for_ml.zip

Enjoy!

6 comments
bastimm
bastimm

Hello,

since some days i try to install pdo_dblib on MAMP Pro and OSX 10.10.

But i dont get it to work :((( .

Is here somebody who can help me or give me a hint to install/compile the pdo_dblib for OSX 10.10 / MAMP and PHP 5.4.34 or 5.3.29 or 5.5.18?


And if you have to work some hours for that i will pay it... please please help me, because i cant find any help on www :)


Thanks in advance.


benjaminrivero
benjaminrivero

Hi, i have OSX Lion 10.7.5 and PHP 5.3.6    this files will work??? i added and config in php.ini but cant see pdo_dblib  

Tommy Van de Velde
Tommy Van de Velde

Any chance you could compile them for 5.2.17 too? Thanks a bunch for these versions already :)

Svetlana
Svetlana

Hi! Thank you for posting these. I copied them to the extension folder in PHP 5.2.17 and added extensions directives to php.ini. After I restarted apache, I got the following error: [Fri Jul 27 23:33:49 2012] [notice] caught SIGTERM, shutting down dyld: NSLinkModule() error dyld: Library not loaded: /Applications/MAMP/Library/lib/libsybdb.5.dylib Referenced from: /Applications/MAMP/bin/php/php5.2.17/lib/php/extensions/no-debug-non-zts-20060613/pdo_dblib.so Reason: image not found Do you have any suggestions what may be causing this?

Vincent
Vincent

Awsome, those precompiled .so files. Thanx!

Ziqi Jin
Ziqi Jin

These libraries are for php 5.3.